[Mongrel] Mongrel service keeps re-starting ruby

Luis Lavena luislavena at gmail.com
Thu Jun 25 10:23:40 EDT 2009


On Thu, Jun 25, 2009 at 11:04 AM, Jonathan Rochkind<rochkind at jhu.edu> wrote:
> Are you using Rails 2.2?
> The latest version of mongrel available by gem is broken with --prefix and
> Rails 2.2.  I'd still expect it to simply report an error instead of
> consuming all CPU, so that's odd (but I've never developed Rails on Windows
> before either).
>

Is consuming the CPU since mongrel_service is trying to restart the
ruby process once it failed.

Mea culpa,ruby 1.8.5 used to segfault from time to time and I've
implemented that automatic restart at that time to workaround it.

Since ruby is raising an error and exiting, mongrel_service is trying
to restart it :P

> But if you are using Rails 2.2 that could still be it, since I too have
> discovered that you can't use --prefix  with a Rails 2.2 app, without either
> patching mongrel or patching your rails app. (I find patching the Rails app
> to be easier and less scary, and can tell you how I've done it if this is
> indeed your issue).
>
> I do think it's a big odd that Rails 2.2 has been out for so long, but
> mongrel hasn't released a gem that's compatible with it, or warned people on
> the project page that there's a problem, or what have you.  Makes me kind of
> worried that there aren't very many (any?) people on the mongrel development
> team, and one shouldn't count on future versions.
>

I'm here, but basically being focused on updated One-Click Ruby
Installer project, which will make life more easy at least for me on
Windows ;-)

I think there is time for a 1.1.6 release with fixes for this and other details.
-- 
Luis Lavena
AREA 17
-
Perfection in design is achieved not when there is nothing more to add,
but rather when there is nothing more to take away.
Antoine de Saint-Exupéry


More information about the Mongrel-users mailing list